=== debian/changelog ===
ros-indigo-youbot-driver-ros-interface (1.1.2-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Walter Nowak <nowak@locomotec.com>  Fri, 13 Oct 2017 12:10:01 -0000
