=== debian/control ===
Source: ros-indigo-youbot-driver-ros-interface
Section: misc
Priority: extra
Maintainer: Walter Nowak <nowak@locomotec.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-brics-actuator, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-diagnostic-msgs, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-pr2-msgs, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-trajectory-msgs, ros-indigo-youbot-driver
Homepage: http://www.youbot-store.com
Standards-Version: 3.9.2

Package: ros-indigo-youbot-driver-ros-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-brics-actuator, ros-indigo-control-msgs, ros-indigo-diagnostic-msgs, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-pr2-msgs, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-trajectory-msgs, ros-indigo-youbot-driver
Description: ROS wrapper for the youBot driver
